{
  "schema_version": "1.4.0",
  "id": "GHSA-r955-5974-3x3p",
  "modified": "2025-04-12T12:41:18Z",
  "published": "2022-05-17T04:30:19Z",
  "aliases": [
    "CVE-2011-2702"
  ],
  "details": "Integer signedness error in Glibc before 2.13 and eglibc before 2.13, when using Supplemental Streaming SIMD Extensions 3 (SSSE3) optimization, allows context-dependent attackers to execute arbitrary code via a negative length parameter to (1) memcpy-ssse3-rep.S, (2) memcpy-ssse3.S, or (3) memset-sse2.S in sysdeps/i386/i686/multiarch/, which triggers an out-of-bounds read, as demonstrated using the memcpy function.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2011-2702"
    },
    {
      "type": "WEB",
      "url": "https://bugzilla.novell.com/show_bug.cgi?id=706915"
    },
    {
      "type": "WEB",
      "url": "https://sourceware.org/git/?p=glibc.git%3Ba=commit%3Bh=a0ac24d98ace90d1ccba6a2f3e7d55600f2fdb6e"
    },
    {
      "type": "WEB",
      "url": "https://sourceware.org/git/?p=glibc.git;a=commit;h=a0ac24d98ace90d1ccba6a2f3e7d55600f2fdb6e"
    },
    {
      "type": "WEB",
      "url": "http://seclists.org/oss-sec/2011/q3/123"
    },
    {
      "type": "WEB",
      "url": "http://seclists.org/oss-sec/2011/q3/153"
    },
    {
      "type": "WEB",
      "url": "http://www.eglibc.org/cgi-bin/viewvc.cgi/trunk/libc/ChangeLog?view=markup&pathrev=10032"
    },
    {
      "type": "WEB",
      "url": "http://www.nodefense.org/eglibc.txt"
    },
    {
      "type": "WEB",
      "url": "http://www.osvdb.org/80718"
    },
    {
      "type": "WEB",
      "url": "http://xorl.wordpress.com/2011/08/06/cve-2011-2702-eglibc-and-glibc-signedness-issue"
    }
  ],
  "database_specific": {
    "cwe_ids": [
      "CWE-94"
    ],
    "severity": "MODERATE",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2014-10-27T20:55:00Z"
  }
}